//toolbar
.example-icon {
  padding: 0 5px;
  font-size: 30px;
  border-radius: 50%;
  width: 70px;
  height: 55px;
}

.example-spacer {
  flex: 1 1 auto;
}
//sidenav
mat-sidenav-container {
  height: 100%;
}

mat-sidenav {
  background-color: rgb(252, 250, 249);
  width: 350px;
}
.side-text {
  margin-left: 40px;
  margin-right: 25px;
  color: rgb(105, 104, 104);
}
.side-item {
  margin: 16px 16px;
  color: #666666;
  margin-left: 40px;
}
.side-item-1 {
  color: black;
  width: 95%;
  height: 60px;
  padding-top: 1%;
}
.side-item-0 {
  color: black;
  width: 95%;
  height: 60px;
  padding-top: 4%;
}
.side-item-0:hover,
.side-item-1:hover {
  background-color: rgba(192, 187, 187, 0.226);
  border-radius: 0px 50px 50px 0px;
  cursor: pointer;
}
.side-item-top {
  color: #666666;
  width: 100%;
  height: 7%;
  text-align: center;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  padding-top: 8%;
}
.side {
  border-top: 1px solid rgba(0, 0, 0, 0.12);
}
.add {
  size: 55px;
  margin-right: 1.4%;
  cursor: pointer;
}
.add:hover {
  opacity: 0.6;
}

.example-section {
  display: flex;
  align-content: center;
  align-items: center;
  height: 60px;
  margin-top: 16px;
  margin-left: 50px;
  color: #666666;
}

//home
.card-home {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  margin-top: 5px;
  margin-right: 20px;
  margin-left: 20px;
}
.card-class {
  width: 350px;
  height: 300px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.w-70 {
  width: 20px;
  height: 10px;
}
.blocksWrapper {
  margin: 0 10px;
}
.blocksWrapper:after {
  content: "";
  display: table;
  clear: both;
  background-color: red;
}
///dialog
.titleDialog {
  background-color: #009688;
  margin: 0;
  margin-bottom: 15px;
  height: 65px;
  width: 100%;
  padding-top: 15px;
  padding-left: 5%;
  align-content: center;
}
.titleDialog > p {
  margin: 0;
  margin-left: 2%;
  font-size: 18px;
  color: white;
  display: inline;
}
.mat-dialog-content > p {
  font-size: 20px;
  color: #817e7e;
}
.mat-dialog-content {
  padding: 0% 10%;
}
//////
.areaBank {
  width: 92%;
  margin: auto;
  padding-top: 15px;
}
.pBigDialog {
  font-size: 16px;
  color: #817e7e;
}
.inputDialog {
  padding: auto;
  border: 1px solid #dadada;
  border-radius: 8px;
  height: 50px;
  font-size: 20px;
  padding: initial;
  padding-left: 15px;
  padding-right: 15px;
  margin-top: 8px;
  margin-bottom: 8px;
}
.inputDialog:focus {
  background-color: #ffffff;
  border: 2px solid #009688;
}
.areaBank > .mat-form-field {
  width: 100%;
  margin: 2% 0% 0%;
}
.mat-form-field {
  font-size: 14px;
  width: 100%;
}
.headCard {
  height: 58px;
  width: 155px;
  margin: 6px;
  margin-top: 10px;
}
.headCard:hover {
  opacity: 0.6;
  border-radius: 5px red;
}
button[type="delete"] {
  width: 45%;
  border-radius: 12px;
  border: 0px;
  height: 45px;
  background-color: #009688;
  color: white;
}
button[type="cancel"] {
  width: 45%;
  border-radius: 12px;
  border: 0px;
  height: 45px;
  background-color: #999999;
  color: white;
}
button:focus {
  outline: none;
}
//  DIALOG
.box {
  border: solid 1px black;
  height: 58px;
  width: 155px;
  margin: 6px;
  margin-top: 10px;
  background-color: hsl(186, 70%, 36%);
}
.box:hover {
  opacity: 0.8;
}
.container {
  position: relative;
  margin: auto;
  display: inline-block;
}
.errorInput{
  font-size: 14px;
  margin-top: 1px;
  font-family: 'Kanit', sans-serif;
}
.topleft {
  position: absolute;
  top: 8px;
  left: 16px;
  font-size: 18px;
}
// color picker
.slidecontainer {
  width: 90%;
  margin: auto;
}
.slider {
  -webkit-appearance: none;
  position: relative;
  top: -50%;
  width: 100%;
  height: 15px;
  border-radius: 5px;
  margin-top: 10px;
  background: linear-gradient(
    to right,
    hsl(15, 70%, 36%),
    hsl(30, 70%, 36%),
    hsl(45, 70%, 36%),
    hsl(60, 70%, 36%),
    hsl(75, 70%, 36%),
    hsl(90, 70%, 36%),
    hsl(105, 70%, 36%),
    hsl(120, 70%, 36%),
    hsl(135, 70%, 36%),
    hsl(150, 70%, 36%),
    hsl(165, 70%, 36%),
    hsl(180, 70%, 36%),
    hsl(195, 70%, 36%),
    hsl(210, 70%, 36%),
    hsl(225, 70%, 36%),
    hsl(240, 70%, 36%),
    hsl(255, 70%, 36%),
    hsl(270, 70%, 36%),
    hsl(285, 70%, 36%),
    hsl(300, 70%, 36%),
    hsl(315, 70%, 36%),
    hsl(330, 70%, 36%),
    hsl(345, 70%, 36%),
    hsl(360, 70%, 36%)
  );
  outline: none;
  opacity: 0.7;
  transition: opacity 0.2s;
}
/////hover
.slider:hover {
  opacity: 1;
}
button:hover,
.box:hover {
  opacity: 0.8;
}
